Bug 234531 - [NEW PORT] cad/xtrkcad: CAD program for designing model railroad layouts
Summary: [NEW PORT] cad/xtrkcad: CAD program for designing model railroad layouts
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: http://www.xtrkcad.org/
Keywords: feature
Depends on:
Blocks:
 
Reported: 2018-12-31 14:08 UTC by Matthias Wolf
Modified: 2019-01-13 10:34 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
cad/xtrkcad (35.72 KB, patch)
2018-12-31 14:08 UTC, Matthias Wolf
no flags Details | Diff
cad/xtrkcad (35.97 KB, patch)
2019-01-02 00:11 UTC, Matthias Wolf
no flags Details | Diff
cad/xtrkcad (35.98 KB, patch)
2019-01-13 00:51 UTC, Matthias Wolf
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Wolf 2018-12-31 14:08:39 UTC
Created attachment 200654 [details]
cad/xtrkcad

XTrackCAD is a CAD program for designing model railroad layouts.

WWW: http://www.xtrkcad.org/
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-31 14:16:12 UTC
Thank you for submitting a new port Matthias

A couple of cursory review items:

- Use DISTVERSION=5.1.2a updating other variables accordingly
- Strip "XTrackCAD is a" from comment

If you haven't already, please run this port/patch through QA (portlint, poudriere at least), fixing any issues and updating the patch. For details and instructions see:

https://www.freebsd.org/doc/en/books/porters-handbook/testing.html
Comment 2 Matthias Wolf 2019-01-02 00:11:18 UTC
Created attachment 200689 [details]
cad/xtrkcad

Fixed comment and DISTVERSION/PORTVERSION.

Ran portlint -AC and poudriere testport (w/ and w/o options) successfully.
Comment 3 Kurt Jaeger freebsd_committer 2019-01-12 21:03:47 UTC
Testbuilding fails because the download from SF fails (Not Found)

Is it possible that SF changed their downloads link schema ?
Comment 4 Matthias Wolf 2019-01-13 00:51:39 UTC
Created attachment 201089 [details]
cad/xtrkcad

Messed up the source URL when doing the DISTVERSION/PORTVERSION fix, sorry for that.

Added an updated version with a correct URL for MASTER_SITE.
Comment 5 Kurt Jaeger freebsd_committer 2019-01-13 09:58:30 UTC
testbuilds@work
Comment 6 Kurt Jaeger freebsd_committer 2019-01-13 10:34:22 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2019-01-13 10:34:26 UTC
A commit references this bug:

Author: pi
Date: Sun Jan 13 10:34:08 UTC 2019
New revision: 490126
URL: https://svnweb.freebsd.org/changeset/ports/490126

Log:
  cad/xtrkcad: CAD program for designing model railroad layouts

  XTrackCAD is a CAD program for designing model railroad layouts.

  WWW: http://www.xtrkcad.org/

  PR:		234531
  Submitted by:	Matthias Wolf <freebsd@rheinwolf.de>
  Reviewed by:	koobs

Changes:
  head/cad/Makefile
  head/cad/xtrkcad/
  head/cad/xtrkcad/Makefile
  head/cad/xtrkcad/distinfo
  head/cad/xtrkcad/files/
  head/cad/xtrkcad/files/patch-app_bin_ccornu.c
  head/cad/xtrkcad/pkg-descr
  head/cad/xtrkcad/pkg-plist